解决 invalid 'depends_on macos'

问题

~ brew cask uninstall macdown
Error: Cask 'macdown' definition is invalid: invalid 'depends_on macos' value: ":mountain_lion"

解决办法

/usr/bin/find "$(brew --prefix)/Caskroom/"*'/.metadata' -type f -name '*.rb' -print0 | /usr/bin/xargs -0 /usr/bin/perl -i -pe 's/depends_on macos: \[.*?\]//gsm;s/depends_on macos: .*//g'

上一篇:最新deepin-wine下微信的安装方法,非常简单 Ubuntu可用

下一篇:Django ORM中的复选MultiSelectField的使用